ButtonBar.ButtonData (JavaFX 27)
Description: declaration: module: javafx.controls, package: javafx.scene.control, class: ButtonBar, enum: ButtonData

# Enum Class ButtonBar.ButtonData

java.lang.Object
java.lang.Enum<ButtonBar.ButtonData>
javafx.scene.control.ButtonBar.ButtonData

All Implemented Interfaces:
  `Serializable, Comparable<ButtonBar.ButtonData>, Constable`

Enclosing class:
  `ButtonBar`

public static enum ButtonBar.ButtonData extends Enum<ButtonBar.ButtonData>
An enumeration of all available button data annotations. By annotating every button in a `ButtonBar` with one of these annotations, the buttons will be appropriately positioned relative to all other buttons in the ButtonBar.

For details on the button order code for each ButtonData, refer to the javadoc comment.

Since:
  JavaFX 8u40

- ## Nested Class Summary

  ### Nested classes/interfaces declared in class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `APPLY`
  A tag for the "apply" button.
  `BACK_PREVIOUS`
  A tag for the "back" or "previous" button.
  `BIG_GAP`
  A glue push gap that will take as much space as it can and at least an "unrelated" gap.
  `CANCEL_CLOSE`
  A tag for the "cancel" or "close" button.
  `FINISH`
  A tag for the "finish".
  `HELP`
  A tag for the "help" button that normally is supposed to be on the right.
  `HELP_2`
  A tag for the "help2" button that normally is supposed to be on the left.
  `LEFT`
  Buttons with this style tag will statically end up on the left end of the bar.
  `NEXT_FORWARD`
  A tag for the "next" or "forward" button.
  `NO`
  A tag for the "no" button.
  `OK_DONE`
  A tag for the "ok" or "done" button.
  `OTHER`
  All Uncategorized, Other, or "Unknown" buttons.
  `RIGHT`
  Buttons with this style tag will statically end up on the right end of the bar.
  `SMALL_GAP`
  An "unrelated" gap.
  `YES`
  A tag for the "yes" button.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getTypeCode()`
  Returns the single character code used to represent the ButtonData annotation in the `button order` string.
  `final boolean`
  `isCancelButton()`
  Indicates whether buttons created from the ButtonData enumeration should be the 'cancel' button in the user interface.
  `final boolean`
  `isDefaultButton()`
  Indicates whether buttons created from the ButtonData enumeration should be the 'default' button in the user interface.
  `static ButtonBar.ButtonData`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ButtonBar.ButtonData[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods declared in class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods declared in class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### LEFT

    public static final ButtonBar.ButtonData LEFT
    Buttons with this style tag will statically end up on the left end of the bar.

    Button order code: L

  - ### RIGHT

    public static final ButtonBar.ButtonData RIGHT
    Buttons with this style tag will statically end up on the right end of the bar.

    Button order code: R

  - ### HELP

    public static final ButtonBar.ButtonData HELP
    A tag for the "help" button that normally is supposed to be on the right.

    Button order code: H

  - ### HELP_2

    public static final ButtonBar.ButtonData HELP_2
    A tag for the "help2" button that normally is supposed to be on the left.

    Button order code: E

  - ### YES

    public static final ButtonBar.ButtonData YES
    A tag for the "yes" button.

    Is default button: True

    Button order code: Y

  - ### NO

    public static final ButtonBar.ButtonData NO
    A tag for the "no" button.

    Is cancel button: True

    Button order code: N

  - ### NEXT_FORWARD

    public static final ButtonBar.ButtonData NEXT_FORWARD
    A tag for the "next" or "forward" button.

    Is default button: True

    Button order code: X

  - ### BACK_PREVIOUS

    public static final ButtonBar.ButtonData BACK_PREVIOUS
    A tag for the "back" or "previous" button.

    Button order code: B

  - ### FINISH

    public static final ButtonBar.ButtonData FINISH
    A tag for the "finish".

    Is default button: True

    Button order code: I

  - ### APPLY

    public static final ButtonBar.ButtonData APPLY
    A tag for the "apply" button.

    Button order code: A

  - ### CANCEL_CLOSE

    public static final ButtonBar.ButtonData CANCEL_CLOSE
    A tag for the "cancel" or "close" button.

    Is cancel button: True

    Button order code: C

  - ### OK_DONE

    public static final ButtonBar.ButtonData OK_DONE
    A tag for the "ok" or "done" button.

    Is default button: True

    Button order code: O

  - ### OTHER

    public static final ButtonBar.ButtonData OTHER
    All Uncategorized, Other, or "Unknown" buttons. Tag will be "other".

    Button order code: U

  - ### BIG_GAP

    public static final ButtonBar.ButtonData BIG_GAP
    A glue push gap that will take as much space as it can and at least an "unrelated" gap. (Platform dependent)

    Button order code: +

  - ### SMALL_GAP

    public static final ButtonBar.ButtonData SMALL_GAP
    An "unrelated" gap. (Platform dependent)

    Button order code: _ (underscore)

- ## Method Details

  - ### values

    public static ButtonBar.ButtonData[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ButtonBar.ButtonData valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getTypeCode

    public String getTypeCode()
    Returns the single character code used to represent the ButtonData annotation in the `button order` string.
    Returns:
      the single character code used to represent the ButtonData annotation

  - ### isCancelButton

    public final boolean isCancelButton()
    Indicates whether buttons created from the ButtonData enumeration should be the 'cancel' button in the user interface. This typically means that the button will respond to the escape key press, even if the button does not have focus.

    ButtonData enumeration values that can be the cancel button have a comment stating this in their javadoc.

    Returns:
      true if this is a 'cancel' button

  - ### isDefaultButton

    public final boolean isDefaultButton()
    Indicates whether buttons created from the ButtonData enumeration should be the 'default' button in the user interface. This typically means that the button will respond to enter key presses, even if the button does not have focus.

    ButtonData enumeration values that can be the default button have a comment stating this in their javadoc.

    Returns:
      true if this is a 'default' button